## python-mzml 0.7.4

=== Documentation_src/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	@echo " We have build/html initialized as separate git for the website, thus clean is disabled ;)"

html:
	$(SPHINXBUILD) -a -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pymzml.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pymzml.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pymzml"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pymzml"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	cat build/latex/pymzml.tex | sed 's/Till Bald, Johannes Barth, Anna Niehues, Michael Specht, Michael Hippler, Christian Fufezan/Till Bald\\\\ Johannes Barth\\\\ Anna Niehues\\\\ Michael Specht\\\\ Michael Hippler\\\\ Christian Fufezan/g' | sed 's=\\section{Summary}=\\newpage\\section{Summary}=g' | sed 's=Contents:==g' >| build/latex/pymzml.tex.new
	mv build/latex/pymzml.tex build/latex/pymzml.tex.org
	mv build/latex/pymzml.tex.new build/latex/pymzml.tex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-mzml 0.7.4-dfsg

=== debian/changelog ===
python-mzml (0.7.4-dfsg-3) unstable; urgency=medium

  * mv upstream upstream/metadata;
  
  * d/control: Canonicalize the VCS uris;
  
  * d/control: set Standards-Version: 3.9.5
  
 -- Filippo Rusconi <lopippo@debian.org>  Wed, 20 Aug 2014 14:18:01 +0200

python-mzml (0.7.4-dfsg-2) unstable; urgency=low

  * python-mzml.install: change the usr/lib/python2.[67]/dist-packages
    install directories to the degenerate form
    usr/lib/python2.*/dist-packages/pymzml. The package will still build
    and install fine when 2.6 is removed. Thanks to Dmitry Shachnev
    <mitya57@gmail.com> for suggesting the fix. Closes: #697189.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 02 Jan 2013 20:38:47 +0100

python-mzml (0.7.4-dfsg-1) unstable; urgency=low

  * Initial packaging of the pymzML software with COPYING file shipped for
    the first time within the source code tree after request to
    upstream. Closes: #690177.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 09 Oct 2012 22:38:41 +0200

=== debian/control ===
Source: python-mzml
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Section: python
Priority: optional
Build-Depends: python-all (>= 2.6.6-3),
               debhelper (>= 7.0.50~),
               dpkg-dev (>= 1.16.1~),
               python-sphinx (>= 1.1.3)
Build-Depends-Indep: doxygen (>= 1.8.1.2), 
                     texlive-extra-utils, 
                     texlive-latex-extra, 
                     latex-xcolor, 
                     texlive-font-utils, 
                     ghostscript, 
                     texlive-fonts-recommended
Standards-Version: 3.9.5
Homepage: http://pymzml.github.com/
Vcs-Git: git://anonscm.debian.org/debichem/packages/python-mzml.git
Vcs-Browser: http://anonscm.debian.org/git/debichem/packages/python-mzml.git

Package: python-mzml
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Suggests: python-mzml-doc
Description: mzML mass spectrometric data parsing
 python-mzml is an extension to Python that offers:
  - easy access to mass spectrometry (MS) data that allows 
    the rapid development of tools;
  - a very fast parser for mzML data, the standard in 
    mass spectrometry data format;
  - a set of functions to compare or handle spectra.

Package: python-mzml-doc
Section: doc
Architecture: all
Depends: libjs-jquery,
         libjs-underscore,
         ${shlibs:Depends},
         ${misc:Depends}
Description: mzML mass spectrometric data parsing - documentation
 python-mzml is an extension to Python that offers:
  - easy access to mass spectrometry (MS) data that allows 
    the rapid development of tools;
  - a very fast parser for mzML data, the standard in 
    mass spectrometry data format;
  - a set of functions to compare or handle spectra.
 .
 This package contains the documentation in PDF and HTML format,
 along with the text sources (process with sphinx).

=== debian/rules ===
#!/usr/bin/make -f

TMPDIR="debian/tmp"
DOCDIR="debian/doc"
SRCDIR=$(CURDIR)

%:
	dh $@ --with python2 --buildsystem=python_distutils

# dh_compress insists on compressing that file:
override_dh_compress:

	dh_compress -X get_example_file.py -X pymzml.pdf

override_dh_install:
	dh_install -iv -O--buildsystem=python_distutils
	ls -lR debian/python-mzml/usr/share/doc/python-mzml/example_scripts/
# Remove the symbolic link.
	rm debian/python-mzml/usr/share/doc/python-mzml/example_scripts/pymzml
# Remove the license file
	rm -f debian/python-mzml/usr/share/doc/python-mzml/COPYING.txt
	rm -f debian/python-mzml-doc/usr/share/doc/python-mzml-doc/COPYING.txt
override_dh_auto_build-indep:
	cp -prf Documentation_src Documentation_src-bkp && \
	rm -rf Documentation_src/build/* && \
	cd Documentation_src && \
	make html latexpdf && \
	cd $(SRCDIR) && \
	mkdir -p $(DOCDIR) && \
	rm -rf $(DOCDIR)/* && \
	cp -rpvf Documentation_src/build/html $(DOCDIR) && \
	cp -v Documentation_src/build/latex/pymzml.pdf $(DOCDIR) && \
	rm -rf Documentation_src && \
	mv Documentation_src-bkp Documentation_src
